# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.676.14.36 -> 1.676.14.37
#	drivers/scsi/scsi_ioctl.c	1.7     -> 1.8    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/27	bjorn_helgaas@hp.com	1.676.14.37
# Workaround for old toolchain.
# --------------------------------------------
#
diff -Nru a/drivers/scsi/scsi_ioctl.c b/drivers/scsi/scsi_ioctl.c
--- a/drivers/scsi/scsi_ioctl.c	Wed Oct  8 09:07:33 2003
+++ b/drivers/scsi/scsi_ioctl.c	Wed Oct  8 09:07:33 2003
@@ -198,6 +198,9 @@
 	unsigned int needed, buf_needed;
 	int timeout, retries, result;
 	int data_direction;
+#if __GNUC__ < 3
+        int foo;
+#endif
 
 	if (!sic)
 		return -EINVAL;
@@ -207,12 +210,21 @@
 	if (verify_area(VERIFY_READ, sic, sizeof(Scsi_Ioctl_Command)))
 		return -EFAULT;
 
-	if(__get_user(inlen, &sic->inlen))
+#if __GNUC__ < 3
+        foo = __get_user(inlen, &sic->inlen);
+	if(foo)
 		return -EFAULT;
 		
-	if(__get_user(outlen, &sic->outlen))
+        foo = __get_user(outlen, &sic->outlen);
+	if(foo)
+		return -EFAULT;
+#else
+	if(__get_user(inlen, &sic->inlen))
 		return -EFAULT;
 
+	if(__get_user(outlen, &sic->outlen))
+		return -EFAULT;
+#endif
 	/*
 	 * We do not transfer more than MAX_BUF with this interface.
 	 * If the user needs to transfer more data than this, they
